## WMS Raw Send

WMS Raw Send

## Functions

QmiMessageWmsRawSendInput * | qmi_message_wms_raw_send_input_new ()
QmiMessageWmsRawSendInput * | qmi_message_wms_raw_send_input_ref ()
void | qmi_message_wms_raw_send_input_unref ()
gboolean | qmi_message_wms_raw_send_input_get_sms_on_ims ()
gboolean | qmi_message_wms_raw_send_input_set_sms_on_ims ()
gboolean | qmi_message_wms_raw_send_input_get_gsm_wcdma_link_timer ()
gboolean | qmi_message_wms_raw_send_input_set_gsm_wcdma_link_timer ()
gboolean | qmi_message_wms_raw_send_input_get_cdma_follow_on_dc ()
gboolean | qmi_message_wms_raw_send_input_set_cdma_follow_on_dc ()
gboolean | qmi_message_wms_raw_send_input_get_cdma_force_on_dc ()
gboolean | qmi_message_wms_raw_send_input_set_cdma_force_on_dc ()
gboolean | qmi_message_wms_raw_send_input_get_raw_message_data ()
gboolean | qmi_message_wms_raw_send_input_set_raw_message_data ()
QmiMessageWmsRawSendOutput * | qmi_message_wms_raw_send_output_ref ()
void | qmi_message_wms_raw_send_output_unref ()
gboolean | qmi_message_wms_raw_send_output_get_result ()
gboolean | qmi_message_wms_raw_send_output_get_message_id ()
gboolean | qmi_message_wms_raw_send_output_get_cdma_cause_code ()
gboolean | qmi_message_wms_raw_send_output_get_cdma_error_class ()
gboolean | qmi_message_wms_raw_send_output_get_gsm_wcdma_cause_info ()
gboolean | qmi_message_wms_raw_send_output_get_message_delivery_failure_type ()
void | qmi_client_wms_raw_send ()
QmiMessageWmsRawSendOutput * | qmi_client_wms_raw_send_finish ()

## Types and Values

| QmiMessageWmsRawSendInput
| QmiMessageWmsRawSendOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWmsRawSendInput
        ╰── QmiMessageWmsRawSendOutput

## Description

## Functions

### qmi_message_wms_raw_send_input_new ()

    QmiMessageWmsRawSendInput *
    qmi_message_wms_raw_send_input_new (void);

Allocates a new QmiMessageWmsRawSendInput.

#### Returns

the newly created QmiMessageWmsRawSendInput. The returned value should be freed with `qmi_message_wms_raw_send_input_unref()`.

Since: 1.0

### qmi_message_wms_raw_send_input_ref ()

    QmiMessageWmsRawSendInput *
    qmi_message_wms_raw_send_input_ref (QmiMessageWmsRawSendInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsRawSendInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_raw_send_input_unref ()

    void
    qmi_message_wms_raw_send_input_unref (QmiMessageWmsRawSendInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsRawSendInput. |

Since: 1.0

### qmi_message_wms_raw_send_input_get_sms_on_ims ()

    gboolean
    qmi_message_wms_raw_send_input_get_sms_on_ims
                                   (QmiMessageWmsRawSendInput *self,
                                    gboolean *value_sms_on_ims,
                                    GError **error);

Get the 'SMS on IMS' field from `self` .

#### Parameters

self | a QmiMessageWmsRawSendInput. |
value_sms_on_ims | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_input_set_sms_on_ims ()

    gboolean
    qmi_message_wms_raw_send_input_set_sms_on_ims
                                   (QmiMessageWmsRawSendInput *self,
                                    gboolean value_sms_on_ims,
                                    GError **error);

Set the 'SMS on IMS' field in the message.

#### Parameters

self | a QmiMessageWmsRawSendInput. |
value_sms_on_ims | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_input_get_gsm_wcdma_link_timer ()

    gboolean
    qmi_message_wms_raw_send_input_get_gsm_wcdma_link_timer
                                   (QmiMessageWmsRawSendInput *self,
                                    guint8 *value_gsm_wcdma_link_timer,
                                    GError **error);

Get the 'GSM WCDMA Link Timer' field from `self` .

#### Parameters

self | a QmiMessageWmsRawSendInput. |
value_gsm_wcdma_link_timer | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_input_set_gsm_wcdma_link_timer ()

    gboolean
    qmi_message_wms_raw_send_input_set_gsm_wcdma_link_timer
                                   (QmiMessageWmsRawSendInput *self,
                                    guint8 value_gsm_wcdma_link_timer,
                                    GError **error);

Set the 'GSM WCDMA Link Timer' field in the message.

#### Parameters

self | a QmiMessageWmsRawSendInput. |
value_gsm_wcdma_link_timer | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_input_get_cdma_follow_on_dc ()

    gboolean
    qmi_message_wms_raw_send_input_get_cdma_follow_on_dc
                                   (QmiMessageWmsRawSendInput *self,
                                    gboolean *value_cdma_follow_on_dc_follow,
                                    GError **error);

Get the 'CDMA Follow On DC' field from `self` .

#### Parameters

self | a QmiMessageWmsRawSendInput. |
value_cdma_follow_on_dc_follow | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_input_set_cdma_follow_on_dc ()

    gboolean
    qmi_message_wms_raw_send_input_set_cdma_follow_on_dc
                                   (QmiMessageWmsRawSendInput *self,
                                    gboolean value_cdma_follow_on_dc_follow,
                                    GError **error);

Set the 'CDMA Follow On DC' field in the message.

#### Parameters

self | a QmiMessageWmsRawSendInput. |
value_cdma_follow_on_dc_follow | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_input_get_cdma_force_on_dc ()

    gboolean
    qmi_message_wms_raw_send_input_get_cdma_force_on_dc
                                   (QmiMessageWmsRawSendInput *self,
                                    gboolean *value_cdma_force_on_dc_force,
                                    QmiWmsCdmaServiceOption *value_cdma_force_on_dc_service_option,
                                    GError **error);

Get the 'CDMA Force On DC' field from `self` .

#### Parameters

self | a QmiMessageWmsRawSendInput. |
value_cdma_force_on_dc_force | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_force_on_dc_service_option | a placeholder for the output QmiWmsCdmaServiceOption, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_input_set_cdma_force_on_dc ()

    gboolean
    qmi_message_wms_raw_send_input_set_cdma_force_on_dc
                                   (QmiMessageWmsRawSendInput *self,
                                    gboolean value_cdma_force_on_dc_force,
                                    QmiWmsCdmaServiceOption value_cdma_force_on_dc_service_option,
                                    GError **error);

Set the 'CDMA Force On DC' field in the message.

#### Parameters

self | a QmiMessageWmsRawSendInput. |
value_cdma_force_on_dc_force | a gboolean. |
value_cdma_force_on_dc_service_option | a QmiWmsCdmaServiceOption. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_input_get_raw_message_data ()

    gboolean
    qmi_message_wms_raw_send_input_get_raw_message_data
                                   (QmiMessageWmsRawSendInput *self,
                                    QmiWmsMessageFormat *value_raw_message_data_format,
                                    GArray **value_raw_message_data_raw_data,
                                    GError **error);

Get the 'Raw Message Data' field from `self` .

#### Parameters

self | a QmiMessageWmsRawSendInput. |
value_raw_message_data_format | a placeholder for the output QmiWmsMessageFormat, or `NULL` if not required. |
value_raw_message_data_raw_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_input_set_raw_message_data ()

    gboolean
    qmi_message_wms_raw_send_input_set_raw_message_data
                                   (QmiMessageWmsRawSendInput *self,
                                    QmiWmsMessageFormat value_raw_message_data_format,
                                    GArray *value_raw_message_data_raw_data,
                                    GError **error);

Set the 'Raw Message Data' field in the message.

#### Parameters

self | a QmiMessageWmsRawSendInput. |
value_raw_message_data_format | a QmiWmsMessageFormat. |
value_raw_message_data_raw_data | a GArray of guint8 elements. A new reference to `value_raw_message_data_raw_data` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_output_ref ()

    QmiMessageWmsRawSendOutput *
    qmi_message_wms_raw_send_output_ref (QmiMessageWmsRawSendOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsRawSendOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_raw_send_output_unref ()

    void
    qmi_message_wms_raw_send_output_unref (QmiMessageWmsRawSendOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsRawSendOutput. |

Since: 1.0

### qmi_message_wms_raw_send_output_get_result ()

    gboolean
    qmi_message_wms_raw_send_output_get_result
                                   (QmiMessageWmsRawSendOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsRawSendOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_wms_raw_send_output_get_message_id ()

    gboolean
    qmi_message_wms_raw_send_output_get_message_id
                                   (QmiMessageWmsRawSendOutput *self,
                                    guint16 *value_message_id,
                                    GError **error);

Get the 'Message ID' field from `self` .

#### Parameters

self | a QmiMessageWmsRawSendOutput. |
value_message_id | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_output_get_cdma_cause_code ()

    gboolean
    qmi_message_wms_raw_send_output_get_cdma_cause_code
                                   (QmiMessageWmsRawSendOutput *self,
                                    QmiWmsCdmaCauseCode *value_cdma_cause_code,
                                    GError **error);

Get the 'CDMA Cause Code' field from `self` .

#### Parameters

self | a QmiMessageWmsRawSendOutput. |
value_cdma_cause_code | a placeholder for the output QmiWmsCdmaCauseCode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_output_get_cdma_error_class ()

    gboolean
    qmi_message_wms_raw_send_output_get_cdma_error_class
                                   (QmiMessageWmsRawSendOutput *self,
                                    QmiWmsCdmaErrorClass *value_cdma_error_class,
                                    GError **error);

Get the 'CDMA Error Class' field from `self` .

#### Parameters

self | a QmiMessageWmsRawSendOutput. |
value_cdma_error_class | a placeholder for the output QmiWmsCdmaErrorClass, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_output_get_gsm_wcdma_cause_info ()

    gboolean
    qmi_message_wms_raw_send_output_get_gsm_wcdma_cause_info
                                   (QmiMessageWmsRawSendOutput *self,
                                    QmiWmsGsmUmtsRpCause *value_gsm_wcdma_cause_info_rp_cause,
                                    QmiWmsGsmUmtsTpCause *value_gsm_wcdma_cause_info_tp_cause,
                                    GError **error);

Get the 'GSM WCDMA Cause Info' field from `self` .

#### Parameters

self | a QmiMessageWmsRawSendOutput. |
value_gsm_wcdma_cause_info_rp_cause | a placeholder for the output QmiWmsGsmUmtsRpCause, or `NULL` if not required. |
value_gsm_wcdma_cause_info_tp_cause | a placeholder for the output QmiWmsGsmUmtsTpCause, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_send_output_get_message_delivery_failure_type ()

    gboolean
    qmi_message_wms_raw_send_output_get_message_delivery_failure_type
                                   (QmiMessageWmsRawSendOutput *self,
                                    QmiWmsMessageDeliveryFailureType *value_message_delivery_failure_type,
                                    GError **error);

Get the 'Message Delivery Failure Type' field from `self` .

#### Parameters

self | a QmiMessageWmsRawSendOutput. |
value_message_delivery_failure_type | a placeholder for the output QmiWmsMessageDeliveryFailureType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_wms_raw_send ()

    void
    qmi_client_wms_raw_send (QmiClientWms *self,
                             QmiMessageWmsRawSendInput *input,
                             guint timeout,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously sends a Raw Send request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_raw_send_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
input | a QmiMessageWmsRawSendInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wms_raw_send_finish ()

    QmiMessageWmsRawSendOutput *
    qmi_client_wms_raw_send_finish (QmiClientWms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wms_raw_send()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_raw_send()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsRawSendOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_raw_send_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWmsRawSendInput

    typedef struct _QmiMessageWmsRawSendInput QmiMessageWmsRawSendInput;

The QmiMessageWmsRawSendInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWmsRawSendOutput

    typedef struct _QmiMessageWmsRawSendOutput QmiMessageWmsRawSendOutput;

The QmiMessageWmsRawSendOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0